View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17267Bug reportsQuestion themepublic2021-07-12 11:53
Reporterollehar Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.5.x 
Target Version4.4.0-RC3 
Summary17267: Allow to update question theme by uploading zip file again
Description

Title

Additional Information
  • Test with array question type
  • Document classes in UML
  • Check version number in config.xml; abort if lower or equal than installed version
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)master
I will donate to the project if issue is resolvedNo
Browser-
Database type & version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Relationships

related to 08426 new Feature requests Unable to update an existing template by upload without update survey settings 
related to 15919 closedgabrieljenik Bug reports Cannot import custom question theme based on an array question 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-04-21 17:11

developer   ~64090

Maybe for Survey theme before ?
No ?

ollehar

ollehar

2021-04-21 17:12

administrator   ~64091

Last edited: 2021-04-27 11:08

Don't think so. You need to read version in config.xml and abort if it's lower or equal.

DenisChenu

DenisChenu

2021-04-21 17:13

developer   ~64092

Last edited: 2021-04-27 11:08

? Survey theme have a config.xml too , no ?

ollehar

ollehar

2021-04-21 17:14

administrator   ~64093

Last edited: 2021-04-27 11:08

All extensions should have config.xml. Dunno if it's enforced there yet. Then we can add a general "Extension installer" and replace the "Plugin manager" with "Extension manager"

ollehar

ollehar

2021-05-18 15:17

administrator   ~64467

Must double-check with question theme from here: https://bugs.limesurvey.org/view.php?id=15919

c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65337

Release done.

Issue History

Date Modified Username Field Change
2021-04-21 16:59 ollehar New Issue
2021-04-21 16:59 ollehar Status new => assigned
2021-04-21 16:59 ollehar Assigned To => ollehar
2021-04-21 17:10 DenisChenu Relationship added related to 08426
2021-04-21 17:11 DenisChenu Note Added: 64090
2021-04-21 17:12 ollehar Note Added: 64091
2021-04-21 17:13 DenisChenu Note Added: 64092
2021-04-21 17:14 ollehar Note Added: 64093
2021-04-27 11:08 ollehar Sync to Zoho Project => |Yes|
2021-05-06 12:37 ollehar Sync to Zoho Project Yes => |Yes|
2021-05-06 12:37 ollehar Working Git branch (developer only) N/A => bug/17267-allow-to-update-question-theme
2021-05-18 15:17 ollehar Note Added: 64467
2021-05-18 15:17 ollehar Relationship added related to 15919
2021-05-18 15:46 ollehar Additional Information Updated
2021-05-18 15:46 ollehar Sync to Zoho Project Yes => |Yes|
2021-05-19 14:35 ollehar Additional Information Updated
2021-05-19 14:35 ollehar Sync to Zoho Project Yes => |Yes|
2021-06-22 15:19 ollehar Status assigned => resolved
2021-06-22 15:19 ollehar Resolution open => fixed
2021-07-12 11:53 c_schmitz Note Added: 65337
2021-07-12 11:53 c_schmitz Status resolved => closed